| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ODMad::ProcExec Class Reference

`#include <madprocexec.h>`

Inheritance diagram for ODMad::ProcExec:
[legend]

## Public Types
enum | FlowStage { Start , Intermediate , Finish }
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
| ProcExec (const IOPar &, od_ostream &)
| ~ProcExec ()
uiString | errMsg ()
bool | init ()
int | nextStep () override
od_int64 | nrDone () const override
const IOPar & | pars () const
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | sKeyCurProc ()
static const char * | sKeyFlowStage ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
const char * | getPlotString () const
const char * | getProcString ()
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiString | errmsg_
MadStream * | madstream_
int | nrdone_
IOPar & | pars_
FILE * | plotfptr_
od_ostream * | plotstream_
FILE * | procfptr_
od_ostream * | procstream_
TextStreamProgressMeter * | progmeter_
FlowStage | stage_
od_ostream & | strm_
float * | trc_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ FlowStage

enum ODMad::ProcExec::FlowStage

Enumerator
Start |
Intermediate |
Finish |

## Constructor & Destructor Documentation

## ◆ ProcExec()

ODMad::ProcExec::ProcExec | ( | const IOPar & | ,
|  | od_ostream & | )

## ◆ ~ProcExec()

ODMad::ProcExec::~ProcExec | ( |  | ) |

## Member Function Documentation

## ◆ errMsg()

uiString ODMad::ProcExec::errMsg | ( |  | ) |
| inline

## ◆ getPlotString()

const char * ODMad::ProcExec::getPlotString | ( |  | ) | const
| protected

## ◆ getProcString()

const char * ODMad::ProcExec::getProcString | ( |  | ) |
| protected

## ◆ init()

bool ODMad::ProcExec::init | ( |  | ) |

## ◆ nextStep()

int ODMad::ProcExec::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 ODMad::ProcExec::nrDone | ( |  | ) | const
| inline override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ pars()

const IOPar & ODMad::ProcExec::pars | ( |  | ) | const
| inline

## ◆ sKeyCurProc()

static const char * ODMad::ProcExec::sKeyCurProc | ( |  | ) |
| static

## ◆ sKeyFlowStage()

static const char * ODMad::ProcExec::sKeyFlowStage | ( |  | ) |
| static

## ◆ totalNr()

od_int64 ODMad::ProcExec::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString ODMad::ProcExec::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString ODMad::ProcExec::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ errmsg_

uiString ODMad::ProcExec::errmsg_
| protected

## ◆ madstream_

MadStream* ODMad::ProcExec::madstream_
| protected

## ◆ nrdone_

int ODMad::ProcExec::nrdone_
| protected

## ◆ pars_

IOPar& ODMad::ProcExec::pars_
| protected

## ◆ plotfptr_

FILE* ODMad::ProcExec::plotfptr_
| protected

## ◆ plotstream_

od_ostream* ODMad::ProcExec::plotstream_
| protected

## ◆ procfptr_

FILE* ODMad::ProcExec::procfptr_
| protected

## ◆ procstream_

od_ostream* ODMad::ProcExec::procstream_
| protected

## ◆ progmeter_

TextStreamProgressMeter* ODMad::ProcExec::progmeter_
| protected

## ◆ stage_

FlowStage ODMad::ProcExec::stage_
| protected

## ◆ strm_

od_ostream& ODMad::ProcExec::strm_
| protected

## ◆ trc_

float* ODMad::ProcExec::trc_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025